package com.sundot.airport.exam.common.model.result;

import com.sundot.airport.exam.domain.Exam;

/**
 * <b>功能名: </b>ExamAndTpResult<br>
 * <b>说明: </b>考试信息（包含了关联数据：试卷、试卷分类）的包装对象<br>
 * <b>著作权: </b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历: </b><br>
 *
 * @author 2021/7/9 liangxiao
 */
public class ExamAndTpResult extends Exam {

    /**
     * 试卷业务主键
     */
    private String tpId;

    /**
     * 试卷名称
     */
    private String tpName;

    /**
     * 试卷题目数
     */
    private Integer tpQuesNum;

    /**
     * 试卷总分
     */
    private Integer tpTotalScore;

    /**
     * 试卷分类表业务主键
     */
    private String tpcId;

    /**
     * 试卷分类表名称
     */
    private String tpcName;

    @Override
    public String toString() {
        return super.toString() + "ExamAndTpResult{" +
                "tpId='" + tpId + '\'' +
                ", tpName='" + tpName + '\'' +
                ", tpQuesNum=" + tpQuesNum +
                ", tpTotalScore=" + tpTotalScore +
                ", tpcId='" + tpcId + '\'' +
                ", tpcName='" + tpcName + '\'' +
                '}';
    }

    @Override
    public String getTpId() {
        return tpId;
    }

    @Override
    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public String getTpName() {
        return tpName;
    }

    public void setTpName(String tpName) {
        this.tpName = tpName;
    }

    public Integer getTpQuesNum() {
        return tpQuesNum;
    }

    public void setTpQuesNum(Integer tpQuesNum) {
        this.tpQuesNum = tpQuesNum;
    }

    public Integer getTpTotalScore() {
        return tpTotalScore;
    }

    public void setTpTotalScore(Integer tpTotalScore) {
        this.tpTotalScore = tpTotalScore;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    public String getTpcName() {
        return tpcName;
    }

    public void setTpcName(String tpcName) {
        this.tpcName = tpcName;
    }
}
